import mongoose from "mongoose";
import {IJob} from "./IJob";


export const JobSchema = new mongoose.Schema<IJob>({
    drink: {type: mongoose.Types.ObjectId, ref: "Drink"},
    amount: Number,
    startedAt: Date,
    endAt: Date,
    successful: Boolean
});


const Job = mongoose.model<IJob>('Job', JobSchema);
export default Job;